summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVishal Bhoj <vishal.bhoj@linaro.org>2016-11-07 16:58:40 +0530
committerVishal Bhoj <vishal.bhoj@linaro.org>2016-11-07 16:58:40 +0530
commit241c4136d6565eda7083fc3370bd10fd192306fb (patch)
tree6248acab3fd85ec2e5845b9ca63d0408fcc71147
parent4f2732d8de1997b048cdd6531747742656c1d257 (diff)
downloadandroid-patchsets-241c4136d6565eda7083fc3370bd10fd192306fb.tar.gz
add pixel adb workaroundRLCR-16.11
Change-Id: Ic9a739661928a10e9227dbfdb24956f380990c11 Signed-off-by: Vishal Bhoj <vishal.bhoj@linaro.org>
-rwxr-xr-xpixel-workarounds23
1 files changed, 23 insertions, 0 deletions
diff --git a/pixel-workarounds b/pixel-workarounds
new file mode 100755
index 0000000..c321373
--- /dev/null
+++ b/pixel-workarounds
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+. $(dirname $0)/functions
+
+PATCHES=0
+if [ -n "$1" ]; then
+ AOSP="$1"
+else
+ AOSP="`pwd`"
+fi
+
+if ! [ -d "$AOSP" ] && ! [ -d "$AOSP/bionic" ] && [ -d "$AOSP"/build ]; then
+ echo "This script must be run from the AOSP source directory"
+ echo "or with the AOSP source directory as its first parameter."
+ exit 1
+fi
+
+
+##################################################
+################ Linaro hack ###################
+##################################################
+# get adb working at bootup
+apply --linaro device/google/marlin 17316/1